@echo off
title 抢购助手通用版v1.6
color 0a
echo ------------------------------------------------
echo 注册时360类的国产杀毒软件可能会提示,请点击允许,否则可能注册不上!!!
echo [请右键管理员权限运行]
echo ------------------------------------------------

echo 正在注册控件...
echo 复制dm.dll到系统中....
copy dm.dll  %windir%\SysWOW64
copy dm.dll  %windir%\System32
echo 注册dm.dll.....
regsvr32 dm.dll /s
regsvr32  %windir%\SysWOW64\dm.dll /s
regsvr32 %windir%\System32\dm.dll  /s
echo 复制prjXTab.ocx到系统中.....
copy prjXTab.ocx  %windir%\SysWOW64
copy prjXTab.ocx  %windir%\System32
echo 注册prjXTab.ocx.....
regsvr32 prjXTab.ocx /s
regsvr32  %windir%\SysWOW64\prjXTab.ocx /s
regsvr32 %windir%\System32\prjXTab.ocx  /s
echo 复制MSCOMCTL.OCX到系统中.....
copy MSCOMCTL.OCX  %windir%\SysWOW64
copy MSCOMCTL.OCX  %windir%\System32
echo 注册MSCOMCTL.OCX.....
regsvr32 MSCOMCTL.OCX /s
regsvr32  %windir%\SysWOW64\MSCOMCTL.OCX /s
regsvr32 %windir%\System32\MSCOMCTL.OCX  /s
echo 复制COMDLG32.OCX到系统中.....
copy COMDLG32.OCX  %windir%\SysWOW64
copy COMDLG32.OCX  %windir%\System32
echo 注册COMDLG32.OCX.....
regsvr32 COMDLG32.OCX /s
regsvr32  %windir%\SysWOW64\COMDLG32.OCX /s
regsvr32 %windir%\System32\COMDLG32.OCX  /s
echo 复制comdlg32.dll到系统中.....
copy comdlg32.dll  %windir%\SysWOW64
copy comdlg32.dll  %windir%\System32
echo 注册comdlg32.dll.....
regsvr32 comdlg32.dll /s
regsvr32  %windir%\SysWOW64\comdlg32.dll /s
regsvr32 %windir%\System32\comdlg32.dll  /s
echo 复制Clouds.dll到系统中.....
copy Clouds.dll  %windir%\SysWOW64
copy Clouds.dll  %windir%\System32
echo 注册Clouds.dll.....
regsvr32 Clouds.dll /s
regsvr32  %windir%\SysWOW64\Clouds.dll /s
regsvr32 %windir%\System32\Clouds.dll  /s
echo 注册完成,按任意键退出
pause>nul
exit